GET /accounts/{account_id}/inventory_images/{digest}
Get inventory image
curl -X GET "https://api.rad.security/accounts/example_string/inventory_images/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.rad.security/accounts/example_string/inventory_images/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.rad.security/accounts/example_string/inventory_images/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.rad.security/accounts/example_string/inventory_images/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.rad.security/accounts/example_string/inventory_images/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"baseline_id": "example_string",
"clusters_count": 10,
"containers_count": 10,
"created_at": "example_string",
"critical_count": 10,
"digest": "example_string",
"distro": "example_string",
"distro_eol_date": "example_string",
"distro_eol_status": "example_string",
"distro_release": {
"codename": "John Doe",
"discontinuedFrom": "example_string",
"eoasFrom": "example_string",
"eoesFrom": "example_string",
"eolFrom": "example_string",
"isDiscontinued": true,
"isEoas": true,
"isEoes": true,
"isEol": true,
"isLts": true,
"isMaintained": true,
"label": "example_string",
"latest": {
"date": "example_string",
"link": "example_string",
"name": "John Doe"
},
"ltsFrom": "example_string",
"name": "John Doe",
"releaseDate": "example_string"
},
"has_chainguard_image": true,
"high_count": 10,
"highest_opportunity_score_change": 42,
"low_count": 10,
"medium_count": 10,
"name": "John Doe",
"negligible_count": 10,
"packages_count": 25,
"reachable_vulnerabilities_count": 10,
"repo": "example_string",
"scanned": true,
"source": "example_string",
"tags": [
"example_string"
],
"total_vulerabilities_count": 10,
"unspecified_count": 10,
"updated_at": "example_string",
"upgrade_opportunities": [
{
"score": 42,
"tag": "example_string",
"total_count_changes": 10,
"upgrade_type": "example_string",
"vulnerability_count_changes": {
"critical": 42,
"high": 42,
"low": 42,
"medium": 42,
"negligible": 42,
"unspecified": 42
}
}
]
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/inventory_images/{digest}GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer token - just enter the token, "Bearer" prefix will be added automatically
path
account_idstring
RequiredAccount ID
path
digeststring
RequiredImage digest
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Authentication token required.
Path Parameters
account_idstring
RequiredAccount ID
digeststring
RequiredImage digest
Responses
baseline_idstring
clusters_countinteger
containers_countinteger
created_atstring
critical_countinteger
digeststring
distrostring
distro_eol_datestring
distro_eol_statusstring
distro_releaseobject
has_chainguard_imageboolean
high_countinteger
highest_opportunity_score_changeinteger
low_countinteger
medium_countinteger
namestring
negligible_countinteger
packages_countinteger
reachable_vulnerabilities_countinteger
repostring
scannedboolean
sourcestring
tagsstring[]
total_vulerabilities_countinteger
unspecified_countinteger
updated_atstring
upgrade_opportunitiesarray
Was this page helpful?